## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/
v1

/analysis-type-configuration

{analysisTypeConfigurationId}

Read

cURL

```bash
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/analysis-type-configuration/{analysisTypeConfigurationId} \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/analysis-type-configuration/{analysisTypeConfigurationId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant}.mindbridge.ai/api/v1/analysis-type-configuration/{analysisTypeConfigurationId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

200

```json
{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "system": true,
  "libraryId": "<string>",
  "engagementId": "<string>",
  "analysisId": "<string>",
  "analysisTypeId": "<string>",
  "configuration": {
    "riskGroups": [
      {
        "disabled": true,
        "id": "<string>",
        "system": true,
        "analysisTypeId": "<string>",
        "selectedRiskRange": "<string>",
        "applicableRiskRanges": [
          "<string>"
        ],
        "filter": {
          "values": [
            "<string>"
          ]
        },
        "controlPointWeights": {},
        "controlPointBundleVersion": "<string>",
        "name": {},
        "description": {},
        "category": {}
      }
    ]
  },
  "controlPointBundleVersion": "<string>",
  "template": true
}
```

#### Authorizations

Authorization

string

header

required

Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

#### Path Parameters

analysisTypeConfigurationId

string

required

#### Response

200 - application/json

OK

id

string

The unique object identifier.

version

integer<int64>

Data integrity version to ensure data consistency.

creationDate

string<date-time>

The date that the object was originally created.

lastModifiedDate

string<date-time>

The date that the object was last updated or modified.

createdUserInfo

User Info · object

read-only

Details about the user who created the object.

lastModifiedUserInfo

User Info · object

read-only

Details about the user who last modified or updated the object.

system

boolean

libraryId

string

Identifies the library associated with this configuration.

engagementId

string

Identifies the associated engagement.

analysisId

string

Identifies the analysis associated with this configuration.

analysisTypeId

string

Identifies the type of analysis.

configuration

Analysis Config · object

The configuration details for this analysis type.

controlPointBundleVersion

string

The version of the control point bundle used in this configuration.

template

boolean

Indicates whether this configuration is a template.
